// Copyright 2000-2023 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.codeInsight.inline.completion

import com.intellij.openapi.editor.DefaultLanguageHighlighterColors.INLINE_SUGGESTION
import com.intellij.openapi.editor.Editor
import com.intellij.openapi.editor.colors.EditorFontType
import java.awt.Color
import java.awt.Font

object InlineCompletionFontUtils {
  fun font(editor: Editor): Font {
    return editor.colorsScheme.getFont(EditorFontType.ITALIC)
  }

  fun color(editor: Editor): Color {
    return editor.colorsScheme.getAttributes(INLINE_SUGGESTION).foregroundColor
  }
}
